using System;
using System.Collections.Generic;
using System.Text;

namespace Frets.Game {
	partial class SoundEffects {


		private readonly FmodEx.Fmod SoundSystem;

		private readonly SoundEffect crunch;
		public SoundEffect Crunch { get { return this.crunch; } }
		private readonly SoundEffect mistake;
		public SoundEffect Mistake { get { return this.mistake; } }

		private readonly SoundEffect menuIn;
		public SoundEffect MenuIn { get { return this.menuIn; } }
		private readonly SoundEffect menuOut;
		public SoundEffect MenuOut { get { return this.menuOut; } }


		public SoundEffects(FmodEx.Fmod soundSystem, string baseDirectory) {
			this.SoundSystem = soundSystem;

			this.crunch = new SoundEffect(this.SoundSystem, baseDirectory, "crunch");
			this.mistake = new SoundEffect(this.SoundSystem, baseDirectory, "fiba");
			this.menuIn = new SoundEffect(this.SoundSystem, baseDirectory, "in");
			this.menuOut = new SoundEffect(this.SoundSystem, baseDirectory, "out");

		}



	}
}
