using System;
using System.Windows.Forms;

namespace Frets {
    static class Program {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        static void Main(string[] args) {
			Application.EnableVisualStyles();
			try {
				using (FretsGame game = new FretsGame()) {
					game.Run();
				}
			} catch (Exception ex) {
				MessageBox.Show(ex.TargetSite.ToString() + ": " + ex.Message, "Critical Application Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
			}
        }
    }
}

